Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.aspectwerkz.expression.ast
Interface ExpressionParserConstants

All Known Implementing Classes:
  ExpressionParser, ExpressionParserTokenManager

    public interface ExpressionParserConstants

Field Summary
`static int` | `AND`
`static int` | `ARG_ARRAY_PATTERN`
`static int` | `ARG_IDENTIFIER`
`static int` | `ARG_JAVA_NAME_LETTER`
`static int` | `ARG_PATTERN`
`static int` | `ARGS`
`static int` | `ARGS_END`
`static int` | `ARRAY`
`static int` | `CALL`
`static int` | `CFLOW`
`static int` | `CFLOW_BELOW`
`static int` | `CLASS`
`static int` | `CLASS_ABSTRACT`
`static int` | `CLASS_ATTRIBUTE`
`static int` | `CLASS_EXACT_IDENTIFIER`
`static int` | `CLASS_FINAL`
`static int` | `CLASS_IDENTIFIER`
`static int` | `CLASS_JAVA_NAME_LETTER`
`static int` | `CLASS_NOT`
`static int` | `CLASS_PATTERN`
`static int` | `CLASS_POINTCUT_END`
`static int` | `CLASS_PRIVATE`
`static int` | `CLASS_PROTECTED`
`static int` | `CLASS_PUBLIC`
`static int` | `CLASS_STATIC`
`static int` | `COMMA`
`static int` | `DEFAULT`
`static int` | `DOT`
`static int` | `EAGER_WILDCARD`
`static int` | `EOF`
`static int` | `EXECUTION`
`static int` | `FIELD`
`static int` | `FIELD_ABSTRACT`
`static int` | `FIELD_ANNOTATION`
`static int` | `FIELD_ARRAY_CLASS_PATTERN`
`static int` | `FIELD_ATTRIBUTE_EXACT_IDENTIFIER`
`static int` | `FIELD_CLASS_PATTERN`
`static int` | `FIELD_FINAL`
`static int` | `FIELD_IDENTIFIER`
`static int` | `FIELD_JAVA_NAME_LETTER`
`static int` | `FIELD_NOT`
`static int` | `FIELD_POINTCUT_END`
`static int` | `FIELD_PRIVATE`
`static int` | `FIELD_PROTECTED`
`static int` | `FIELD_PUBLIC`
`static int` | `FIELD_STATIC`
`static int` | `FIELD_TRANSIENT`
`static int` | `GET`
`static int` | `HANDLER`
`static int` | `HAS_FIELD`
`static int` | `HAS_METHOD`
`static int` | `IF`
`static int` | `IN_ARGS`
`static int` | `METHOD`
`static int` | `METHOD_ABSTRACT`
`static int` | `METHOD_ANNOTATION`
`static int` | `METHOD_ARRAY_CLASS_PATTERN`
`static int` | `METHOD_ATTRIBUTE_EXACT_IDENTIFIER`
`static int` | `METHOD_CLASS_PATTERN`
`static int` | `METHOD_FINAL`
`static int` | `METHOD_IDENTIFIER`
`static int` | `METHOD_JAVA_NAME_LETTER`
`static int` | `METHOD_NATIVE`
`static int` | `METHOD_NOT`
`static int` | `METHOD_PARAMETER_END`
`static int` | `METHOD_PARAMETER_START`
`static int` | `METHOD_PRIVATE`
`static int` | `METHOD_PROTECTED`
`static int` | `METHOD_PUBLIC`
`static int` | `METHOD_STATIC`
`static int` | `METHOD_SYNCHRONIZED`
`static int` | `NOT`
`static int` | `OR`
`static int` | `PARAMETER_ANNOTATION`
`static int` | `PARAMETER_ARRAY_CLASS_PATTERN`
`static int` | `PARAMETER_CLASS_PATTERN`
`static int` | `PARAMETER_IDENTIFIER`
`static int` | `PARAMETER_JAVA_NAME_LETTER`
`static int` | `PARAMETER_NOT`
`static int` | `PARAMETERS`
`static int` | `POINTCUT_REFERENCE`
`static int` | `POINTCUT_REFERENCE_WITH_ARGS`
`static int` | `SET`
`static int` | `STATIC_INITIALIZATION`
`static int` | `TARGET`
`static int` | `THIS`
`static String[]` | `tokenImage`
`static int` | `TYPE_STATICINITIALIZATION`
`static int` | `WILDCARD`
`static int` | `WITHIN`
`static int` | `WITHIN_CODE`

Field Detail

### EOF

    static final int EOF

See Also:
  Constant Field Values

### COMMA

    static final int COMMA

See Also:
  Constant Field Values

### DOT

    static final int DOT

See Also:
  Constant Field Values

### WILDCARD

    static final int WILDCARD

See Also:
  Constant Field Values

### ARRAY

    static final int ARRAY

See Also:
  Constant Field Values

### EAGER_WILDCARD

    static final int EAGER_WILDCARD

See Also:
  Constant Field Values

### AND

    static final int AND

See Also:
  Constant Field Values

### OR

    static final int OR

See Also:
  Constant Field Values

### NOT

    static final int NOT

See Also:
  Constant Field Values

### EXECUTION

    static final int EXECUTION

See Also:
  Constant Field Values

### CALL

    static final int CALL

See Also:
  Constant Field Values

### SET

    static final int SET

See Also:
  Constant Field Values

### GET

    static final int GET

See Also:
  Constant Field Values

### HANDLER

    static final int HANDLER

See Also:
  Constant Field Values

### WITHIN

    static final int WITHIN

See Also:
  Constant Field Values

### WITHIN_CODE

    static final int WITHIN_CODE

See Also:
  Constant Field Values

### STATIC_INITIALIZATION

    static final int STATIC_INITIALIZATION

See Also:
  Constant Field Values

### CFLOW

    static final int CFLOW

See Also:
  Constant Field Values

### CFLOW_BELOW

    static final int CFLOW_BELOW

See Also:
  Constant Field Values

### ARGS

    static final int ARGS

See Also:
  Constant Field Values

### TARGET

    static final int TARGET

See Also:
  Constant Field Values

### THIS

    static final int THIS

See Also:
  Constant Field Values

### IF

    static final int IF

See Also:
  Constant Field Values

### HAS_METHOD

    static final int HAS_METHOD

See Also:
  Constant Field Values

### HAS_FIELD

    static final int HAS_FIELD

See Also:
  Constant Field Values

### POINTCUT_REFERENCE_WITH_ARGS

    static final int POINTCUT_REFERENCE_WITH_ARGS

See Also:
  Constant Field Values

### POINTCUT_REFERENCE

    static final int POINTCUT_REFERENCE

See Also:
  Constant Field Values

### CLASS_PRIVATE

    static final int CLASS_PRIVATE

See Also:
  Constant Field Values

### CLASS_PROTECTED

    static final int CLASS_PROTECTED

See Also:
  Constant Field Values

### CLASS_PUBLIC

    static final int CLASS_PUBLIC

See Also:
  Constant Field Values

### CLASS_STATIC

    static final int CLASS_STATIC

See Also:
  Constant Field Values

### CLASS_ABSTRACT

    static final int CLASS_ABSTRACT

See Also:
  Constant Field Values

### CLASS_FINAL

    static final int CLASS_FINAL

See Also:
  Constant Field Values

### CLASS_NOT

    static final int CLASS_NOT

See Also:
  Constant Field Values

### CLASS_ATTRIBUTE

    static final int CLASS_ATTRIBUTE

See Also:
  Constant Field Values

### CLASS_PATTERN

    static final int CLASS_PATTERN

See Also:
  Constant Field Values

### CLASS_EXACT_IDENTIFIER

    static final int CLASS_EXACT_IDENTIFIER

See Also:
  Constant Field Values

### CLASS_IDENTIFIER

    static final int CLASS_IDENTIFIER

See Also:
  Constant Field Values

### CLASS_JAVA_NAME_LETTER

    static final int CLASS_JAVA_NAME_LETTER

See Also:
  Constant Field Values

### CLASS_POINTCUT_END

    static final int CLASS_POINTCUT_END

See Also:
  Constant Field Values

### METHOD_PUBLIC

    static final int METHOD_PUBLIC

See Also:
  Constant Field Values

### METHOD_PROTECTED

    static final int METHOD_PROTECTED

See Also:
  Constant Field Values

### METHOD_PRIVATE

    static final int METHOD_PRIVATE

See Also:
  Constant Field Values

### METHOD_STATIC

    static final int METHOD_STATIC

See Also:
  Constant Field Values

### METHOD_ABSTRACT

    static final int METHOD_ABSTRACT

See Also:
  Constant Field Values

### METHOD_FINAL

    static final int METHOD_FINAL

See Also:
  Constant Field Values

### METHOD_NATIVE

    static final int METHOD_NATIVE

See Also:
  Constant Field Values

### METHOD_SYNCHRONIZED

    static final int METHOD_SYNCHRONIZED

See Also:
  Constant Field Values

### TYPE_STATICINITIALIZATION

    static final int TYPE_STATICINITIALIZATION

See Also:
  Constant Field Values

### METHOD_NOT

    static final int METHOD_NOT

See Also:
  Constant Field Values

### METHOD_ANNOTATION

    static final int METHOD_ANNOTATION

See Also:
  Constant Field Values

### METHOD_IDENTIFIER

    static final int METHOD_IDENTIFIER

See Also:
  Constant Field Values

### METHOD_CLASS_PATTERN

    static final int METHOD_CLASS_PATTERN

See Also:
  Constant Field Values

### METHOD_ARRAY_CLASS_PATTERN

    static final int METHOD_ARRAY_CLASS_PATTERN

See Also:
  Constant Field Values

### METHOD_ATTRIBUTE_EXACT_IDENTIFIER

    static final int METHOD_ATTRIBUTE_EXACT_IDENTIFIER

See Also:
  Constant Field Values

### METHOD_PARAMETER_START

    static final int METHOD_PARAMETER_START

See Also:
  Constant Field Values

### METHOD_PARAMETER_END

    static final int METHOD_PARAMETER_END

See Also:
  Constant Field Values

### METHOD_JAVA_NAME_LETTER

    static final int METHOD_JAVA_NAME_LETTER

See Also:
  Constant Field Values

### FIELD_PRIVATE

    static final int FIELD_PRIVATE

See Also:
  Constant Field Values

### FIELD_PROTECTED

    static final int FIELD_PROTECTED

See Also:
  Constant Field Values

### FIELD_PUBLIC

    static final int FIELD_PUBLIC

See Also:
  Constant Field Values

### FIELD_STATIC

    static final int FIELD_STATIC

See Also:
  Constant Field Values

### FIELD_ABSTRACT

    static final int FIELD_ABSTRACT

See Also:
  Constant Field Values

### FIELD_FINAL

    static final int FIELD_FINAL

See Also:
  Constant Field Values

### FIELD_TRANSIENT

    static final int FIELD_TRANSIENT

See Also:
  Constant Field Values

### FIELD_NOT

    static final int FIELD_NOT

See Also:
  Constant Field Values

### FIELD_ANNOTATION

    static final int FIELD_ANNOTATION

See Also:
  Constant Field Values

### FIELD_IDENTIFIER

    static final int FIELD_IDENTIFIER

See Also:
  Constant Field Values

### FIELD_CLASS_PATTERN

    static final int FIELD_CLASS_PATTERN

See Also:
  Constant Field Values

### FIELD_ARRAY_CLASS_PATTERN

    static final int FIELD_ARRAY_CLASS_PATTERN

See Also:
  Constant Field Values

### FIELD_ATTRIBUTE_EXACT_IDENTIFIER

    static final int FIELD_ATTRIBUTE_EXACT_IDENTIFIER

See Also:
  Constant Field Values

### FIELD_JAVA_NAME_LETTER

    static final int FIELD_JAVA_NAME_LETTER

See Also:
  Constant Field Values

### FIELD_POINTCUT_END

    static final int FIELD_POINTCUT_END

See Also:
  Constant Field Values

### PARAMETER_IDENTIFIER

    static final int PARAMETER_IDENTIFIER

See Also:
  Constant Field Values

### PARAMETER_CLASS_PATTERN

    static final int PARAMETER_CLASS_PATTERN

See Also:
  Constant Field Values

### PARAMETER_ARRAY_CLASS_PATTERN

    static final int PARAMETER_ARRAY_CLASS_PATTERN

See Also:
  Constant Field Values

### PARAMETER_ANNOTATION

    static final int PARAMETER_ANNOTATION

See Also:
  Constant Field Values

### PARAMETER_JAVA_NAME_LETTER

    static final int PARAMETER_JAVA_NAME_LETTER

See Also:
  Constant Field Values

### PARAMETER_NOT

    static final int PARAMETER_NOT

See Also:
  Constant Field Values

### ARG_IDENTIFIER

    static final int ARG_IDENTIFIER

See Also:
  Constant Field Values

### ARG_PATTERN

    static final int ARG_PATTERN

See Also:
  Constant Field Values

### ARG_ARRAY_PATTERN

    static final int ARG_ARRAY_PATTERN

See Also:
  Constant Field Values

### ARG_JAVA_NAME_LETTER

    static final int ARG_JAVA_NAME_LETTER

See Also:
  Constant Field Values

### ARGS_END

    static final int ARGS_END

See Also:
  Constant Field Values

### IN_ARGS

    static final int IN_ARGS

See Also:
  Constant Field Values

### PARAMETERS

    static final int PARAMETERS

See Also:
  Constant Field Values

### FIELD

    static final int FIELD

See Also:
  Constant Field Values

### METHOD

    static final int METHOD

See Also:
  Constant Field Values

### CLASS

    static final int CLASS

See Also:
  Constant Field Values

### DEFAULT

    static final int DEFAULT

See Also:
  Constant Field Values

### tokenImage

    static final String[] tokenImage

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2005 Jonas Bonér, Alexandre Vasseur. All Rights Reserved.